# VirtualAddress in riscv::addr - Rust
API documentation for the Rust `VirtualAddress` trait in crate `riscv`.
Keywords: rust, rustlang, rust-lang, VirtualAddress

# Trait riscv::addr::VirtualAddress

source · [−]

    pub trait VirtualAddress: Address {
        unsafe fn as_mut<'a, 'b, T>(&'a self) -> &'b mut T;
    }

## Required methods

source

#### unsafe fn as_mut<'a, 'b, T>(&'a self) -> &'b mut T

## Implementors

source

### impl VirtualAddress for GPAddrSv32X4

source

### impl VirtualAddress for GPAddrSv39X4

source

### impl VirtualAddress for GPAddrSv48X4

source

### impl VirtualAddress for VirtAddrSv32

source

### impl VirtualAddress for VirtAddrSv39

source

### impl VirtualAddress for VirtAddrSv48